#ifndef JWT_H
#define JWT_H
#include <string>
#include "resources.h"

namespace http::auth::jwt {
    class Jwt {
    public:
        static Jwt fromCookies(const std::string& cookie);
        static Jwt fromString(const std::string& cookie);
        static Jwt fromUser(const std::string& User);

        bool isValid();

        std::string getUsername();

        std::string asCookie();

        ~Jwt();
    };
}

#endif //JWT_H
